Name:          crrcsim-addon-models
Version:       0.2.0
Release:       3%{?dist}
Group:         Amusements/Games
Summary:       Model-Airplane Flight Simulation Program addon models
License:       CC-BY
URL:           http://sourceforge.net/apps/mediawiki/crrcsim/
Source0:       http://prdownloads.sourceforge.net/crrcsim/%{name}/%{name}-%{version}.zip
Source1:       http://creativecommons.org/licenses/by/3.0/legalcode.txt
Source2:       crrcsim-addon-models-license-question-arthur.eml
Source3:       crrcsim-addon-models-license-question-jan.eml
Requires:      crrcsim >= 0.9.5
BuildArch:     noarch


%description
Addon models for Crrcsim


%prep
%setup -qcn %{name}-%{version}

# Correct EOL (preserve timestamps).
for i in \
    Readmefirst_Ellipse.txt \
    Readmefirst_Nyx.txt \
    Readmefirst_Europhia2k.txt \
    Readmefirst_Fireworks3.txt \
    Readmefirst_Skorpion.txt \
    Readmefirst_Freestyler.txt \
    Readmefirst_Crossfire.txt \
    install-cam.txt \
    Readmefirst_Erwin.txt; do
        sed 's#\r##g' documentation/$i > documentation/$i.tmp && \
        touch -r documentation/$i documentation/$i.tmp && \
        mv documentation/$i.tmp documentation/$i
done


%build


%install
mkdir -p %{buildroot}/%{_datadir}/crrcsim/

# Remove duplicates and older versions
rm documentation/Readmefirst_Crossfire.txt

rm models/Crossfire.xml \
   models/Erwin.xml \
   models/PilatusB4.xml \
   models/supra.xml

rm objects/Crossfire.ac \
   objects/Erwin.ac \
   objects/Fireworks_C.ac \
   objects/supra.ac

rm textures/CrossfireTexture.rgb \
   textures/Erwin.rgb \
   textures/Fireworks2.rgb \
   textures/PilB4Texture.rgb \
   textures/supra_texture_256.rgb

cp -ar models objects textures %{buildroot}/%{_datadir}/crrcsim
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} .


%files
%doc documentation/*.txt legalcode.txt *.eml
%{_datadir}/crrcsim/models/*.xml
%{_datadir}/crrcsim/objects/*.ac
%{_datadir}/crrcsim/textures/*.rgb


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.2.0-2
- preserve timestamps during EOL conversion,
- license clarification e-mails added.

* Wed Jul 11 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.2.0-1
- initial RPM release.
